## org.apache.lucene.index
Class IndexReader.FieldOption

    java.lang.Object
      org.apache.lucene.index.IndexReader.FieldOption

Enclosing class:
  IndexReader

    public static final class IndexReader.FieldOption

extends java.lang.Object

Constants describing field properties, for example used for `IndexReader.getFieldNames(FieldOption)`.

Field Summary
`static IndexReader.FieldOption` `ALL` All fields
`static IndexReader.FieldOption` `INDEXED` All indexed fields
`static IndexReader.FieldOption` `INDEXED_NO_TERMVECTOR` All fields which are indexed but don't have termvectors enabled
`static IndexReader.FieldOption` `INDEXED_WITH_TERMVECTOR` All fields which are indexed with termvectors enabled
`static IndexReader.FieldOption` `OMIT_TERM_FREQ_AND_POSITIONS` All fields that omit tf
`static IndexReader.FieldOption` `OMIT_TF` Deprecated. Renamed to `OMIT_TERM_FREQ_AND_POSITIONS`
`static IndexReader.FieldOption` `STORES_PAYLOADS` All fields that store payloads
`static IndexReader.FieldOption` `TERMVECTOR` All fields with termvectors enabled.
`static IndexReader.FieldOption` `TERMVECTOR_WITH_OFFSET` All fields with termvectors with offset values enabled
`static IndexReader.FieldOption` `TERMVECTOR_WITH_POSITION` All fields with termvectors with position values enabled
`static IndexReader.FieldOption` `TERMVECTOR_WITH_POSITION_OFFSET` All fields with termvectors with offset values and position values enabled
`static IndexReader.FieldOption` `UNINDEXED` All fields which are not indexed

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL

    public static final IndexReader.FieldOption ALL

  All fields

### INDEXED

    public static final IndexReader.FieldOption INDEXED

  All indexed fields

### STORES_PAYLOADS

    public static final IndexReader.FieldOption STORES_PAYLOADS

  All fields that store payloads

### OMIT_TERM_FREQ_AND_POSITIONS

    public static final IndexReader.FieldOption OMIT_TERM_FREQ_AND_POSITIONS

  All fields that omit tf

### OMIT_TF

    public static final IndexReader.FieldOption OMIT_TF

  Deprecated. Renamed to `OMIT_TERM_FREQ_AND_POSITIONS`

### UNINDEXED

    public static final IndexReader.FieldOption UNINDEXED

  All fields which are not indexed

### INDEXED_WITH_TERMVECTOR

    public static final IndexReader.FieldOption INDEXED_WITH_TERMVECTOR

  All fields which are indexed with termvectors enabled

### INDEXED_NO_TERMVECTOR

    public static final IndexReader.FieldOption INDEXED_NO_TERMVECTOR

  All fields which are indexed but don't have termvectors enabled

### TERMVECTOR

    public static final IndexReader.FieldOption TERMVECTOR

  All fields with termvectors enabled. Please note that only standard termvector fields are returned

### TERMVECTOR_WITH_POSITION

    public static final IndexReader.FieldOption TERMVECTOR_WITH_POSITION

  All fields with termvectors with position values enabled

### TERMVECTOR_WITH_OFFSET

    public static final IndexReader.FieldOption TERMVECTOR_WITH_OFFSET

  All fields with termvectors with offset values enabled

### TERMVECTOR_WITH_POSITION_OFFSET

    public static final IndexReader.FieldOption TERMVECTOR_WITH_POSITION_OFFSET

  All fields with termvectors with offset values and position values enabled

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.